# WOK
TKWOK
WOKStep

# WOKStep_MSStep Class Reference

`#include <WOKStep_MSStep.hxx>`

Inheritance diagram for WOKStep_MSStep:

[legend]

## Public Member Functions

Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Member Functions

Standard_EXPORT | WOKStep_MSStep (const Handle(WOKMake_BuildProcess)&abp, const Handle(WOKernel_DevUnit)&aunit, const Handle(TCollection_HAsciiString)&acode, const Standard_Boolean checked, const Standard_Boolean hidden)
virtual Standard_EXPORT Handle_WOKBuilder_Entity | BuilderEntity (const Handle(WOKernel_File)&akernelent) const
| Adds an entity to the known entity list (one more time) .
virtual Standard_EXPORT Handle_WOKBuilder_Entity | BuilderEntity (const Handle(WOKUtils_Path)&apath) const

## Constructor & Destructor Documentation

Standard_EXPORT WOKStep_MSStep::WOKStep_MSStep | ( | const Handle(WOKMake_BuildProcess)& | abp,
|  | const Handle(WOKernel_DevUnit)& | aunit,
|  | const Handle(TCollection_HAsciiString)& | acode,
|  | const Standard_Boolean | checked,
|  | const Standard_Boolean | hidden
| ) | `[protected]`

## Member Function Documentation

virtual Standard_EXPORT Handle_WOKBuilder_Entity WOKStep_MSStep::BuilderEntity | ( | const Handle(WOKUtils_Path)& | apath | ) | const`[protected, virtual]`

| Reimplemented from WOKMake_Step.

virtual Standard_EXPORT Handle_WOKBuilder_Entity WOKStep_MSStep::BuilderEntity | ( | const Handle(WOKernel_File)& | akernelent | ) | const`[protected, virtual]`

| Reimplemented from WOKMake_Step.

Standard_EXPORT const WOKStep_MSStep::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from WOKMake_Step. Reimplemented in WOKDFLT_DFLTExtract, WOKOBJS_SchExtract, WOKStep_ClientExtract, WOKStep_EngineExtract, WOKStep_Extract, WOKStep_HeaderExtract, WOKStep_JiniExtract, WOKStep_MSFill, WOKStep_ServerExtract, WOKStep_SourceExtract, and WOKStep_TemplateExtract.

The documentation for this class was generated from the following file:

- WOKStep_MSStep.hxx